﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WG_PrintPriviewTimeStamp
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataSet ds = new DataSet();
            DataTable t1 = ds.Tables.Add("table1");
            t1.Columns.Add("id", typeof(int)).AutoIncrement = true;
            t1.Columns.Add("Name", typeof(string));
            t1.Columns.Add("Quantity", typeof(int));
            t1.Columns.Add("Price", typeof(double));
            t1.Columns.Add("Date", typeof(DateTime));

            ds = addData(ds);

            ultraGrid1.DataSource = ds;
        }

        private DataSet addData(DataSet ds)
        {
            ds.Tables["table1"].Rows.Add(new Object[] { null, "Beverage", 50, 10.2, new DateTime(2008, 04, 22) });
            ds.Tables["table1"].Rows.Add(new Object[] { null, "Appliances", 5, 90, new DateTime(2012, 05, 10) });
            ds.Tables["table1"].Rows.Add(new Object[] { null, "FastFood", 20, 32, new DateTime(2005, 10, 05) });
            ds.Tables["table1"].Rows.Add(new Object[] { null, "Furniture", 12, 79, new DateTime(2009, 02, 28) });
            return ds;

        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            ultraGrid1.PrintPreview();
           
        }

        private void ultraGrid1_InitializePrintPreview(object sender, Infragistics.Win.UltraWinGrid.CancelablePrintPreviewEventArgs e)
        {
            e.PrintPreviewSettings.DialogCaption = DateTime.Now.ToString();
            e.DefaultLogicalPageLayoutInfo.PageFooter = DateTime.Now.ToString();
            e.DefaultLogicalPageLayoutInfo.PageFooterAppearance.FontData.SizeInPoints = 20;
            e.DefaultLogicalPageLayoutInfo.PageFooterAppearance.TextHAlign = Infragistics.Win.HAlign.Right;
            e.DefaultLogicalPageLayoutInfo.PageFooterAppearance.ForeColor = Color.Red;
        }
    }
}
